%undefine __find_provides
%undefine __find_requires

%define rel	3
%define prerel	b1

Summary:	An OO graph drawing class library for PHP5
Name:		php-jpgraph
Version:	3.5.0
Release:	%mkrel -c %{prerel} %{rel}
License:	QPL
Group:		Networking/Other
URL:		http://jpgraph.net/
# no direct download link available on website
# md5 checksum: 7237ef5dc19ad8bb67197a19782e950c
Source0:	jpgraph-%{version}%{prerel}.tar.gz
Patch0:		jpgraph-3.0.6-CVE-2009-4422.diff
Requires:	gd
Requires:	php-gd
Requires:	fonts-ttf-bitstream-vera
BuildArch:	noarch
Obsoletes:	php5-jpgraph

%description
JpGraph is a OO Graph drawing library for PHP 5.0.x and above.
Highlights of the available features are: text, linear, and log
scales for both the X and Y axes, anti-aliasing of lines,
color-gradient fills, support for GIF, JPG, and PNG formats,
support for two Y axes, spider plots (a.k.a Web plots),
pie-charts, lineplots, filled line plots, impulse plots, bar
plots, and error plots, support for multiple plot types in one
graph, intelligent autoscaling.

Extensive documentations are available at:
http://jpgraph.net/doc/

%package	doc
Summary:	Documentation for JpGraph
Group:		Networking/Other

%description	doc
JpGraph is a OO Graph drawing library for PHP 5.0.x and above.
Highlights of the available features are: text, linear, and log
scales for both the X and Y axes, anti-aliasing of lines,
color-gradient fills, support for GIF, JPG, and PNG formats,
support for two Y axes, spider plots (a.k.a Web plots),
pie-charts, lineplots, filled line plots, impulse plots, bar
plots, and error plots, support for multiple plot types in one
graph, intelligent autoscaling.

This package contains the documentation for %{name}.

%prep
%setup -q -n jpgraph-%{version}%{prerel}
%patch0 -p0

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/php/jpgraph
cp -aRf src/* %{buildroot}%{_datadir}/php/jpgraph/

install -d -m 755 %{buildroot}%{_docdir}/%{name}
cp -r docs %{buildroot}%{_docdir}/%{name}
cp -r src/Examples %{buildroot}%{_docdir}/%{name}
install -m 644 README VERSION %{buildroot}%{_docdir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_docdir}/%{name}
%{_datadir}/php/jpgraph
%exclude %{_docdir}/%{name}/Examples
%exclude %{_docdir}/%{name}/docs

%files doc
%defattr(-,root,root)
%{_docdir}/%{name}/Examples
%{_docdir}/%{name}/docs




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.5.0-0.b1.3.mga3
+ Revision: 375812
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 22 2011 spuhler <spuhler> 3.5.0-0.b1.2.mga2
+ Revision: 185601
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 3.5.0-0.b1.1.mga1
+ Revision: 48024
- removed buildroot definition from .spec
- imported package php-jpgraph

